=== debian/control ===
Source: libb64
Section: libs
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 10),
 dpkg-dev (>= 1.16.0~),
 xutils-dev,
Standards-Version: 4.1.0
Homepage: http://libb64.sourceforge.net/

Package: libb64-0d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: base64 encoding/decoding library - runtime library
 libb64 is a library of ANSI C routines for fast encoding/decoding data into
 and from a base64-encoded format.
 .
 This package provides the runtime library.

Package: libb64-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libb64-0d (= ${binary:Version})
Description: base64 encoding/decoding library - development files
 libb64 is a library of ANSI C routines for fast encoding/decoding data into
 and from a base64-encoded format.
 .
 This package provides the static library and headers for C and C++.
