=== debian/tests/control ===
Tests: libb64-dev
Depends: g++, libb64-dev
