## libb64 1.2-5

=== debian/changelog ===
libb64 (1.2-5-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 24 Nov 2022 07:20:55 +0800

libb64 (1.2-5) unstable; urgency=medium

  * debian/control: bump standard to 4.1.3 (no changes)
  * debian/control: add salsa VCS URLs
  * debian/control: use dh11
  * Fix FTCBFS: (Closes: #894137)
    + Let dh_auto_build pass cross tools to make.
    + Let buildtools.mk supply $(CC).
    (thanks to Helmut Grohne for the patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 01 Apr 2018 18:16:02 +0100
